Bug 125750 - Deadlock when closing project
Deadlock when closing project
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Libraries
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@projects
: THREAD
Depends on:
Blocks: 124730
  Show dependency treegraph
 
Reported: 2008-01-22 13:57 UTC by Andrei Badea
Modified: 2008-02-04 10:07 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (18.25 KB, text/plain)
2008-01-22 13:58 UTC, Andrei Badea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2008-01-22 13:57:47 UTC
[080122]

Just started NetBeans with two projects open, right-clicked one of them in the Projects view and invoked close.
Comment 1 Andrei Badea 2008-01-22 13:58:25 UTC
Created attachment 55365 [details]
Thread dump
Comment 2 Milos Kleint 2008-01-22 14:57:00 UTC
Not sure if the merged code is the culprit here. The webservices in projectClosed() (thus under opneproject list lock)
call stuff that offloads work to other threads and waits for them.
Comment 3 Milos Kleint 2008-01-23 10:25:54 UTC
fixed in OpenProjectList by moving the notifyClosed() callbacks out of the synchronized block. notifyOpen() is not
synchronized either for a long time.


Checking in OpenProjectList.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/OpenProjectList.java,v  <--  OpenProjectList.java
new revision: 1.80; previous revision: 1.79
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo